import { HotDevelopmentOptions } from '.';
export declare class HotClientServer {
    configs: HotDevelopmentOptions;
    private app?;
    private listenerManager?;
    constructor(configs: HotDevelopmentOptions);
    start(): Promise<void>;
    dispose(): Promise<void>;
}
